<?xml version="1.0" encoding="UTF-8"?>
<!-- $Id: $ -->
<!DOCTYPE xsl:stylesheet >
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format">


<xsl:template match="figure">
  <xsl:variable name="param.placement"
                select="substring-after(normalize-space($formal.title.placement),
                                        concat(local-name(.), ' '))"/>

  <xsl:variable name="placement">
    <xsl:choose>
      <xsl:when test="contains($param.placement, ' ')">
        <xsl:value-of select="substring-before($param.placement, ' ')"/>
      </xsl:when>
      <xsl:when test="$param.placement = ''">before</xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$param.placement"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <xsl:variable name="figure">
     <xsl:apply-templates select="title" mode="figure"/>
     <xsl:call-template name="informal.object"/>
  </xsl:variable>

  <xsl:choose>
    <xsl:when test="(@float and @float != '0') or @floatstyle != ''">
      <fo:float>
        <xsl:attribute name="float">
          <xsl:choose>
            <xsl:when test="@floatstyle != ''">
              <xsl:value-of select="@floatstyle"/>
            </xsl:when>
            <xsl:when test="@float = '1'">
              <xsl:value-of select="$default.float.class"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="@float"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:copy-of select="$figure"/>
      </fo:float>
    </xsl:when>
    <xsl:otherwise>
      <xsl:copy-of select="$figure"/>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>


<xsl:template match="figure/title" mode="figure">
   <xsl:param name="allow-anchors"/>

   <fo:block xsl:use-attribute-sets="figure.title.properties">
     <xsl:apply-templates/>
   </fo:block>
</xsl:template>



</xsl:stylesheet>